# std::basic_string::rbegin, std::basic_string::crbegin

From cppreference.com
< cpp‎ | string‎ | basic string

reverse_iterator rbegin(); |  |
const_reverse_iterator rbegin() const; |  |
const_reverse_iterator crbegin() const; |  | (since C++11)

Returns a reverse iterator to the first character of the reversed string. It corresponds to the last character of the non-reversed string.

### Parameters

(none)

### Return value

reverse iterator to the first character

### Exceptions

(none) | (until C++11)
`noexcept` specification: noexcept | (since C++11)

### Complexity

Constant

### Example

Run this code

    #include <iostream>
    #include <algorithm>
    #include <iterator>
    #include <string>

    int main()
    {
        std::string s("Exemplar!");
        *s.rbegin() = 'y';
        std::cout << s << '\n'; // "Exemplary"

        std::string c;
        std::copy(s.crbegin(), s.crend(), std::back_inserter(c));
        std::cout << c << '\n'; // "yralpmexE"
    }

Output:

    Exemplary
    yralpmexE

### See also

rend crend (C++11) | returns a reverse iterator to the end (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/string/basic_string/rbegin&oldid=91781"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template